<%@ Page Language="vb" AutoEventWireup="false" CodeFile="Vendor.aspx.vb" Inherits="VendorPage" 
    title="Vendor Details"  MasterPageFile="~/site.master"%>
<asp:Content ContentPlaceHolderID="HeadContent" runat="server"></asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
<h2><asp:label ID="lblPageHeader" runat="server" CssClass="PageHeader"></asp:label></h2>
<asp:Label ID="lblID" runat="server" Visible="false"></asp:Label>
<table>
    <tr>
        <td align="right"><b>Name: </b></td>
        <td>
            <asp:TextBox  CssClass="ITrackerTextBox" ID="txtVendorName" runat="server" Width="350"></asp:TextBox>
        </td>
        <td>
            <asp:RequiredFieldValidator ID="rfvName" runat="server" ControlToValidate="txtVendorName" ErrorMessage="*Required" Display="static"></asp:RequiredFieldValidator>            
        </td>
    </tr>
    <tr>
        <td align="right" valign="top"><b>Address: </b></td>
        <td>
            <asp:TextBox  CssClass="ITrackerTextBox" ID="txtVendorAddress1" runat="server" Width="250"></asp:TextBox><br />
            <asp:TextBox  CssClass="ITrackerTextBox" ID="txtVendorAddress2" runat="server" Width="250"></asp:TextBox>
        </td>
        <td valign="top">
            <asp:RequiredFieldValidator ID="rfvAddress" runat="server" ControlToValidate="txtVendorAddress1" ErrorMessage="*Required" Display="static"></asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td align="right"><b>City: </b></td>
        <td><asp:TextBox  CssClass="ITrackerTextBox" ID="txtVendorCity" runat="server" Width="250"></asp:TextBox></td>
        <td></td>
    </tr>
    <tr>
        <td align="right"><b>State/Province: </b></td>
        <td><asp:TextBox  CssClass="ITrackerTextBox" ID="txtVendorState" runat="server" Width="50"></asp:TextBox></td>
        <td></td>
    </tr>
    <tr>
        <td align="right"><b>Postal Code: </b></td>
        <td><asp:TextBox  CssClass="ITrackerTextBox" ID="txtVendorZip" runat="server" Width="50"></asp:TextBox></td>
        <td></td>
    </tr>
    <tr>
        <td colspan="3" align="right">
            <asp:Label ID="lblError" runat="server" CssClass="ITrackerErrorLabel" />
            <asp:Button CssClass="ITrackerButton" ID="btnSave" runat="server" Text=" Save " />
            <asp:Button CssClass="ITrackerButton" ID="btnDeleteVendor" runat="server" Text=" Delete " OnClientClick="return confirm('Are you sure you want to delete the Vendor?.');" />
            <asp:Button CssClass="ITrackerButton" ID="btnDeleteVendorAndItems" runat="server" Text="Del w/ Items" OnClientClick="return confirm('Are you sure you want to delete the Vendor and all associated Inventory Items?.');" />
            <asp:Button CssClass="ITrackerButton" ID="btnCancel" runat="server" CausesValidation="false" Text=" Cancel " />
        </td>
    </tr>
</table>
</asp:Content>
