﻿<%@ Page Title="User Profile" Language="VB" AutoEventWireup="true" CodeFile="Profile.aspx.vb" Inherits="Profile" MasterPageFile="~/site.master" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" Runat="Server"></asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" Runat="Server">
    <h2>User Profile</h2>
    <table>
    <tr>
        <td valign="top">
            <asp:Panel id="pnlProfileInfo" runat="server" GroupingText="Profile Information" width="300">
                <table>
                    <tr>
                        <td style="text-align:right;">Username:</td>
                        <td>
                            <asp:Label id="lblUserName" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align:right;">First Name:</td>
                        <td>
                            <asp:TextBox id="txtFirstName" runat="server" CssClass="ITrackerTextBox" />
                            <asp:Label id="lblFirstName" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align:right;">Last Name:</td>
                        <td>
                            <asp:TextBox id="txtLastName" runat="server" CssClass="ITrackerTextBox" />
                            <asp:Label id="lblLastName" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align:right;">Email:</td>
                        <td>
                            <asp:TextBox id="txtEmail" CssClass="ITrackerTextBox" runat="server" />
                            <asp:Label id="lblEmail" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align:right;">User Since:</td>
                        <td>
                            <asp:Label id="lblUserSince" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align:right;" colspan="2">
                        <asp:Label id="lblError" CssClass="ITrackerErrorLabel" runat="server" />
                        <asp:Button id="btnSave" CssClass="ITrackerButton" runat="server" text="Save" />
                        </td>
                    </tr>
                </table>
            </asp:Panel>
        </td>
        <td valign="top">
            <asp:Panel id="pnlChangePass" runat="server" GroupingText="Change Password" width="300" Visible="false">
                <table>
                    <tr>
                        <td align="right">Old Password:</td>
                        <td><asp:TextBox id="txtOldPass" runat="server" TextMode="Password" CssClass="ITrackerTextBox" /></td>
                    </tr>
                    <tr>
                        <td align="right">New Password:</td>
                        <td><asp:TextBox id="txtNewPass1" runat="server" TextMode="Password" CssClass="ITrackerTextBox" /></td>
                    </tr>
                    <tr>
                        <td align="right">Confirm Password:</td>
                        <td><asp:TextBox id="txtNewPass2" runat="server" TextMode="Password" CssClass="ITrackerTextBox" /></td>
                    </tr>
                    <tr>
                        <td colspan="2" align="right">
                            <asp:Label id="lblChangePass" runat="server" CssClass="ITrackerErrorLabel" />
                            <asp:Button id="btnChangePass" runat="server" text="Save Pass" CssClass="ITrackerButton" />
                        </td>
                    </tr>
                </table>
            </asp:Panel>
        </td>
    </tr>
</table>
</asp:Content>

