<%@ Page Language="vb" AutoEventWireup="false"  CodeFile="Details.aspx.vb" Inherits="Details" 
    title="Item Details" MasterPageFile="~/site.master" %>
<asp:Content ID="Content2" ContentPlaceHolderID="HeadContent" runat="server"></asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
<h2><asp:label ID="lblPageHeader" runat="server" CssClass="PageHeader"></asp:label></h2>
<asp:Label ID="lblID" runat="server" Visible="false"></asp:Label>
<div style="float:right;width:300px;height:350px;overflow:scroll;overflow-x:hidden;overflow-y:scroll;">
    <h3 style="margin-top:0px;">History:</h3>
    <asp:Repeater ID="rptrHistory" runat="server">
        <HeaderTemplate>
            <table cellspacing="0" cellpadding="4" style="width:100%;">
            <tr><th>User</th><th>Qty</th><th>Date</th></tr>
        </HeaderTemplate>
        <ItemTemplate>
            <tr>
                <td style="border-bottom:1px solid black;border-right:1px solid black;border-left:1px solid black;"><%# DataBinder.Eval(Container.DataItem, "UserID")%></td>
                <td style="border-bottom:1px solid black;border-right:1px solid black;"><%# DataBinder.Eval(Container.DataItem, "Qty")%></td>
                <td style="border-bottom:1px solid black;border-right:1px solid black;"><%# DataBinder.Eval(Container.DataItem, "ChangeDate")%></td>
            </tr>
        </ItemTemplate>
        <FooterTemplate></table></FooterTemplate>
    </asp:Repeater>
</div>
<table style="border:1px solid black;">
    <tr>
        <td align="right">Name: </td>
        <td>
            <asp:TextBox  CssClass="ITrackerTextBox" ID="txtDesc" runat="server" Width="350"></asp:TextBox>
            <asp:RequiredFieldValidator ID="rfvDesc" runat="server" ControlToValidate="txtDesc" ErrorMessage="*Required" Display="static"></asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td align="right">Part #: </td>
        <td><asp:TextBox  CssClass="ITrackerTextBox" ID="txtPartNum" runat="server"></asp:TextBox></td>
    </tr>
    <tr>
        <td align="right">MFG Part #: </td>
        <td><asp:TextBox  CssClass="ITrackerTextBox" ID="txtMFGNum" runat="server"></asp:TextBox></td>
    </tr>
    <tr>
        <td align="right">Vendor: </td>
        <td><asp:DropDownList CssClass="ITrackerDropDownList" ID="ddlVendor" runat="server"></asp:DropDownList></td>
    </tr>
    <tr>
        <td align="right">Reorder Point: </td>
        <td>
            <asp:TextBox  CssClass="ITrackerTextBox" ID="txtReorderPt" runat="server" Width="40" MaxLength="6"></asp:TextBox>
            <asp:RegularExpressionValidator ID="revReorderPt" runat="server" ErrorMessage="*Must be numeric." ControlToValidate="txtReorderPt" ValidationExpression="[0-9]+"></asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="rfvReorderPt" runat="server" ControlToValidate="txtReorderPt" ErrorMessage="*Required" Display="static"></asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td align="right">Qty: </td>
        <td>
            <asp:TextBox  CssClass="ITrackerTextBox" ID="txtQTY" runat="server" Width="40" MaxLength="6"></asp:TextBox>
            <asp:RegularExpressionValidator ID="revQty" runat="server" ErrorMessage="*Must be numeric." ControlToValidate="txtQTY" ValidationExpression="[0-9]+"></asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="rfvQty" runat="server" ControlToValidate="txtQTY" ErrorMessage="*Required" Display="static"></asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td align="right" valign="top">Notes: </td>
        <td>
            <asp:TextBox  CssClass="ITrackerTextBox" ID="txtNotes" runat="server" TextMode="MultiLine" Rows="10" Columns="40"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td colspan="2" align="right">
            <asp:Label CssClass="ITrackerErrorLabel" ID="lblError" runat="server"></asp:Label>
            <asp:Button CssClass="ITrackerButton" ID="btnSave" runat="server" Text=" Save " />
            <asp:Button CssClass="ITrackerButton" ID="btnDelete" runat="server" OnClientClick="return confirm('Are you sure you want to delete this item?');" Text=" Delete " />
            <asp:Button CssClass="ITrackerButton" ID="btnCancel" runat="server" CausesValidation="false" Text=" Cancel " />
        </td>
    </tr>
</table>
</asp:Content>
